﻿<%-- Copyright (C) 2009 PunBB
http://www.gnu.org/licenses/gpl.html GPL version 3 --%>

<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="UserList.aspx.cs" Inherits="PunBB.UserList" Title="Untitled Page" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" Runat="Server">
    <asp:SqlDataSource ID="DataSource" runat="server" ProviderName="System.Data.Odbc"></asp:SqlDataSource>
    <div class="main-head"><h2 class="hn"><asp:Literal ID="MainTitle" runat= "server"  Text ="<%$Resources: UserList, Search %>" /></h2></div>
   	<div class="main-content main-frm">
		<div class="frm-form" >
		       <asp:Literal ID="ErrorBox" runat="server" Text="" />
            <fieldset class="frm-group group1">
                <legend class="group-legend"><strong><asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:UserList, SearchGroupLegend %>" /></strong></legend>
                <div class="sf-set set1">
                	<div class="sf-box text">
				        <label for="fld1">
				            <span><asp:Literal runat="server" Text="<%$ Resources:UserList, SearchTo %>" /></span> 
				            <small><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:UserList, SearchToComment %>" /></small>
				        </label>
				        <br />
				        <span class="fld-input"><asp:TextBox ID="txtSearch" runat="server" /></span>
                    </div>
                </div>
            </fieldset>
                        
            <div class="frm-buttons">
                <asp:Button ID="btnSearch" runat="server" onclick="btnSearch_Click" Text="<%$ Resources:UserList, Search %>" class="submit"/>
            </div>
        </div>
        
        <div class="ct-group">
            <asp:GridView ID="lstUsers" runat="server" AllowPaging="True" 
                AllowSorting="True" DataSourceID="DataSource" PageSize="15" 
                EmptyDataText="<%$ Resources:UserList, NoUsers %>" 
                AutoGenerateColumns="False">
                <PagerSettings Position="TopAndBottom" />
                <Columns>
                    <asp:TemplateField HeaderText="<%$Resources:UserList, UserName %>" SortExpression="UserName">
                        <ItemTemplate>
                            <asp:HyperLink ID="UserName" runat="server" NavigateUrl='<%#"UserProfile.aspx?UserName=" + Eval("UserName")%>' Text='<%# Eval("UserName") %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="<%$Resources:UserList, Comment %>" SortExpression="Comment">
                        <ItemTemplate>
                            <asp:Label ID="Comment" runat="server" Text='<%# Eval("Comment") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="<%$Resources:UserList, Posts %>" SortExpression="Posts">
                        <ItemTemplate>
                            <asp:Label ID="Posts" runat="server" Text='<%# Eval("Posts") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="<%$Resources:UserList, RegistrationDate %>" SortExpression="CreationDate">
                        <ItemTemplate>
                            <asp:Label ID="CreationDate" runat="server" Text='<%# Eval("CreationDate") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
                <PagerStyle Wrap="True" />
            </asp:GridView>
        </div>
        </div>
</asp:Content>

