﻿<%-- Copyright (C) 2009 PunBB
http://www.gnu.org/licenses/gpl.html GPL version 3 --%>

<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Install.aspx.cs" Inherits="Install" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>PunBB.NET Install Page</title>
    <link href="Main.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .error
        {
            width: 450px;
            text-align:left;
        }
        .property 
        {
            width: 200px;
            text-align:left;
        }
        .value
        {
            width: 200px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <center>
    <asp:Literal ID="ErrorBox" runat="server" Text="" />
    <table>
    <tr>
        <td class="property">
            <asp:Label ID="DBTypeLabel" runat="server" Text="Data Base Type" />
        </td>
        
        <td class="value">
            <asp:DropDownList ID="DBType" runat="server" style="margin-left: 0px"  class="value">
                <asp:ListItem Selected="True">MS Access 2003</asp:ListItem>
                <asp:ListItem>MySQL ODBC 3.51</asp:ListItem>
                <asp:ListItem>MySQL ODBC 5.1</asp:ListItem>
                <asp:ListItem>MS SQL Server 2005</asp:ListItem>
            </asp:DropDownList>
        </td>
        
        <td class="error">
        </td>
    </tr>    
    <tr>
        <td class="property">
            <asp:Label ID="Label1" runat="server" Text="Data Base Server" />
        </td>
        
        <td class="value">
            <asp:TextBox ID="tbDBServer" runat="server" EnableTheming="False" class="value"/>
        </td>
        
        <td class="error">
            *<asp:RequiredFieldValidator ID="DBServerValidator" runat="server" ControlToValidate="tbDBServer" ErrorMessage="Data Base Server is not defined" />
        </td>
    </tr>
    <tr>
        <td class="property">
            <asp:Label ID="Label2" runat="server" Text="Data Base name"/>
        </td>
        
        <td class="value">
            <asp:TextBox ID="tbDBName" runat="server" class="value"/>
        </td>
        
        <td class="error">
            *<asp:RequiredFieldValidator ID="DBNameValidator" runat="server" ControlToValidate="tbDBName" ErrorMessage="Data Base Name can not be blank" />
        </td>
    </tr>
    <tr>
        <td class="property">
            <asp:Label ID="Label3" runat="server" Text="Data Base User Name" />
        </td>
        
        <td class="value">
            <asp:TextBox ID="tbDBUserName" runat="server" class="value" />
        </td>
    </tr>
    <tr>
        <td class="property">
            <asp:Label ID="Label4" runat="server" Text="Data Base Password" />
        </td>
        
        <td class="value">
            <asp:TextBox TextMode="Password" ID="tbDBPassword" runat="server" class="value"/>
        </td>
    </tr>
    <tr>
        <td class="property"> 
            <asp:Label ID="Label5" runat="server" Text="Table Prefix" Visible="False" />
        </td>
        
        <td class="value">
            <asp:TextBox ID="tbTablePrefix" runat="server" class="value" Visible="False"/>
        </td>
    </tr>
    <tr>
        <td class="property">
            <asp:Label ID="Label6" runat="server" Text="Admin's username" />
        </td>
        
        <td class="value">
            <asp:TextBox ID="tbAdmUsername" runat="server" class="value"/>
        </td>
        
        <td class="error">
            *<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="tbAdmUsername" ErrorMessage="Admin's username can not  be blank" />
        </td>
    </tr>
    <tr>    
        <td class="property">
            <asp:Label ID="Label7" runat="server" Text="Admin's password" />
        </td>

        <td class="value">
            <asp:TextBox ID="tbAdmPass" runat="server" TextMode="Password" class="value"/>
        </td>

        <td class="error">
           *<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="tbAdmPass" ErrorMessage="Admin's password can not be blank"/>
        </td>
    </tr>
    <tr>
        <td class="property">
            <asp:Label ID="Label8" runat="server" Text="Confirm Password" />
        </td>
        
        <td class="value">
            <asp:TextBox ID="tbConfirmPass" runat="server" TextMode="Password" class="value"/>
        </td>
        <td class="error">
            *<asp:CompareValidator ID="PassAndConfirmationMatchValidator" runat="server" ControlToCompare="tbAdmPass" ControlToValidate="tbConfirmPass" Display="Dynamic" ErrorMessage="Password and it's confirmatin don't match"/>
            <asp:RequiredFieldValidator ID="PasswordConfirmedValidator" runat="server" ControlToValidate="tbConfirmPass" ErrorMessage="Password confirmation required" />
        </td>
    
    </tr>
    <tr>
        <td class="property">
            <asp:Label ID="Label9" runat="server" Text="Admin's email address"/>
        </td>
        
        <td class="value">
            <asp:TextBox ID="tbAdmEmail" runat="server" class="value"/>
        </td>
        
        <td class="error">
            *<asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="tbAdmEmail" ErrorMessage="Email address can not  be blank" />
            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                ControlToValidate="tbAdmEmail" ErrorMessage="Please enter different e-mail" 
                ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="property">
            <asp:Label ID="Label10" runat="server" Text="Board Title" />
        </td>
        
        <td class="value">
            <asp:TextBox ID="tbBoardTitle" runat="server" class="value" />
        </td>
    </tr>
    <tr> 
        <td class="property">
            <asp:Label ID="Label11" runat="server" Text="Board Description" />
        </td>
        
        <td class="value">
            <asp:TextBox ID="tbBoardDescription" runat="server" class="value"/>
        </td>
     </tr>
     <tr>
        <td></td>
        <td class="button">
            <asp:Button ID="btnStartInstall" runat="server" onclick="btnStartInstall_Click" Text="Start Installation" />
        </td>
    </tr>
    </table>
    </form>
    </center>
</body>
</html>
