﻿<%-- Copyright (C) 2009 PunBB
http://www.gnu.org/licenses/gpl.html GPL version 3 --%>

<%@ Page Title="" EnableEventValidation="false" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Register.aspx.cs" Inherits="PunBB.Register" %>

<asp:Content ID="ContentPlaceHolder" ContentPlaceHolderID="Content" Runat="Server">
	<div class="main-head">
		<h2 class="hn"><span>Register at PunBB Forums</span></h2>
	</div>
	<div class="main-content main-frm">
    <asp:CreateUserWizard ID="PunRegister"  runat="server" CssClass="brd_ctrl"
    EmailRegularExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" 
        oncreateduser="PunRegister_CreatedUser" 
        ContinueDestinationPageUrl="~/Default.aspx">
    <WizardSteps>
        <asp:CreateUserWizardStep runat="server" Title="" >
            <ContentTemplate>
                <div class="frm-group group1">

                    <div class="sf-set set1">
                        <div class="sf-box text required">
                            <label for="fld1"><span><asp:Literal runat ="server" Text="<%$ Resources: RegisterResource, UserNameLabelTxt %>" /></span> </label><br />
                            <span class="fld-input"><asp:TextBox ID="UserName" runat="server"></asp:TextBox></span>
                            <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" 
                                ControlToValidate="UserName" ErrorMessage="<%$ Resources: RegisterResource, UserNameRequiredErrMsg %>" 
                                ToolTip="<%$ Resources: RegisterResource, UserNameRequiredErrMsg %>" ValidationGroup="PunRegister">*</asp:RequiredFieldValidator>
                        </div>
                    </div>
                    <div class="sf-set set2">
                        <div class="sf-box text required">
                            <label for="fld2"><span><asp:Literal ID="Literal1" runat ="server" Text="<%$ Resources: RegisterResource, PasswordLabelText %>" /></span> </label><br />
                            <span class="fld-input"><asp:TextBox ID="Password" runat="server" TextMode="Password"></asp:TextBox></span>
                            <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" 
                                ControlToValidate="Password" ErrorMessage="<%$ Resources: RegisterResource, PasswordRequiredErrMsg %>" 
                                ToolTip="<%$ Resources: RegisterResource, PasswordRequiredErrMsg %>" ValidationGroup="PunRegister">*</asp:RequiredFieldValidator>
                        </div>
                    </div>
                    <div class="sf-set set3">
                        <div class="sf-box text required">
                            <label for="fld3"><span><asp:Literal ID="Literal2" runat ="server" Text="<%$ Resources: RegisterResource, ConfirmPasswordLabelTxt %>" /></span> </label><br />
                            <span class="fld-input"><asp:TextBox ID="ConfirmPassword" runat="server" TextMode="Password"></asp:TextBox></span>
                            <asp:RequiredFieldValidator ID="ConfirmPasswordRequired" runat="server" 
                                ControlToValidate="ConfirmPassword" 
                                ErrorMessage="<%$ Resources: RegisterResource, ConfirmPasswordRequiredErr %>" 
                                ToolTip="<%$ Resources: RegisterResource, ConfirmPasswordRequiredErr %>" ValidationGroup="PunRegister">*</asp:RequiredFieldValidator>
                        </div>
                    </div>
                    <div class="sf-set set4">
                        <div class="sf-box text required">
                            <label for="fld4"><span><asp:Literal ID="Literal3" runat ="server" Text="<%$ Resources: RegisterResource, EmailLabelText %>" /></span> </label><br />
                            <span class="fld-input"><asp:TextBox ID="Email" runat="server"></asp:TextBox></span>
                            <asp:RequiredFieldValidator ID="EmailRequired" runat="server" 
                                ControlToValidate="Email" ErrorMessage="<%$ Resources: RegisterResource, EmailRegExpErrMsg%>" 
                                ToolTip="<%$ Resources: RegisterResource, EmailRegExpErrMsg %>" ValidationGroup="PunRegister">*</asp:RequiredFieldValidator>
                        </div>
                    </div>



                            <asp:Label ID="QuestionLabel" runat="server" AssociatedControlID="Question" 
                                Visible="False">Security 
                            Question:</asp:Label>
                            <asp:TextBox ID="Question" runat="server" Visible="False"></asp:TextBox>
                            <asp:RequiredFieldValidator Visible="False" ID="QuestionRequired" runat="server" 
                                ControlToValidate="Question" ErrorMessage="Security question is required." 
                                ToolTip="Security question is required." ValidationGroup="PunRegister">*</asp:RequiredFieldValidator>

                    
                    
                 
                            <asp:Label ID="AnswerLabel" runat="server" AssociatedControlID="Answer" 
                                Visible="False">Security 
                            Answer:</asp:Label>
                            <asp:TextBox ID="Answer" runat="server" Visible="False"></asp:TextBox>
                            <asp:RequiredFieldValidator Visible="False" ID="AnswerRequired" runat="server" 
                                ControlToValidate="Answer" ErrorMessage="Security answer is required." 
                                ToolTip="Security answer is required." ValidationGroup="PunRegister">*</asp:RequiredFieldValidator>
                              
                        
                                
                    <div class="sf-set set7">
					    <div class="sf-box select">
					     <label for="fld7"><span><asp:Literal ID="Literal4" runat ="server" Text="<%$ Resources: RegisterResource, TimeZoneLabeltxt %>" /></span> </label><br />
                            <span class="fld-input"><asp:DropDownList ID="drdownTimeZone" runat="server" 
                                Width="145px">
                                <asp:ListItem Value="-12">(UTC-12:00) International Date Line West</asp:ListItem>
                                <asp:ListItem Value="-11">(UTC-11:00) Niue, Samoa</asp:ListItem>
                                <asp:ListItem Value="-10">(UTC-10:00) Hawaii-Aleutian, Cook Island</asp:ListItem>
                                <asp:ListItem Value="-9.5">(UTC-09:30) Marquesas Islands</asp:ListItem>
                                <asp:ListItem Value="-9">(UTC-09:00) Alaska, Gambier Island</asp:ListItem>
                                <asp:ListItem Value="-8">(UTC-08:00) Pacific</asp:ListItem>
                                <asp:ListItem Value="-7">(UTC-07:00) Mountain</asp:ListItem>
                                <asp:ListItem Value="-6">(UTC-06:00) Central</asp:ListItem>
                                <asp:ListItem Value="-5">(UTC-05:00) Eastern</asp:ListItem>
                                <asp:ListItem Value="-4">(UTC-04:00) Atlantic</asp:ListItem>
                                <asp:ListItem Value="-3.5">(UTC-03:30) Newfoundland</asp:ListItem>
                                <asp:ListItem Value="-3">(UTC-03:00) Amazon, Central Greenland</asp:ListItem>
                                <asp:ListItem Value="-2">(UTC-02:00) Mid-Atlantic</asp:ListItem>
                                <asp:ListItem Value="-1">(UTC-01:00) Azores, Cape Verde, Eastern Greenland</asp:ListItem>
                                <asp:ListItem Value="0">(UTC) Western European, Greenwich</asp:ListItem>
                                <asp:ListItem Value="1">(UTC+01:00) Central European, West African</asp:ListItem>
                                <asp:ListItem Value="2">(UTC+02:00) Eastern European, Central African</asp:ListItem>
                                <asp:ListItem Value="3">(UTC+03:00) Moscow, Eastern African</asp:ListItem>
                                <asp:ListItem Value="3.5">(UTC+03:30) Iran</asp:ListItem>
                                <asp:ListItem Value="4">(UTC+04:00) Gulf, Samara</asp:ListItem>
                                <asp:ListItem Value="4.5">(UTC+04:30) Afganistan</asp:ListItem>
                                <asp:ListItem Value="5">(UTC+05:00) Pakistan, Yekaterinburg</asp:ListItem>
                                <asp:ListItem Value="5.5">(UTC+05:30) India, Sri Lanka</asp:ListItem>
                                <asp:ListItem Value="5.75">(UTC+05:45) Nepal</asp:ListItem>
                                <asp:ListItem Value="6">(UTC+06:00) Bangladesh, Bhutan, Novosibirsk</asp:ListItem>
                                <asp:ListItem Value="6.5">(UTC+06:30) Cocos Islands, Myanmar</asp:ListItem>
                                <asp:ListItem Value="7">(UTC+07:00) Indochina, Krasnoyarsk</asp:ListItem>
                                <asp:ListItem Value="8">(UTC+08:00) Greater China, Australian Western, Irkutsk</asp:ListItem>
                                <asp:ListItem Value="8.75">(UTC+08:45) Southeastern Western Australia</asp:ListItem>
                                <asp:ListItem Value="9">(UTC+09:00) Japan, Corea, Chita</asp:ListItem>
                                <asp:ListItem Value="9.5">(UTC+09:30) Australian Central</asp:ListItem>
                                <asp:ListItem Value="10">(UTC+10:00) Australian Eastern, Vladivostok</asp:ListItem>
                                <asp:ListItem Value="10.5">(UTC+10:30) Lord Howe</asp:ListItem>
                                <asp:ListItem Value="11">(UTC+11:00) Solomon Island, Magadan</asp:ListItem>
                                <asp:ListItem Value="11.5">(UTC+11:30) Norflok Island</asp:ListItem>
                                <asp:ListItem Value="12">(UTC+12:00) New Zeland, Fiji, Kamchatka</asp:ListItem>
                                <asp:ListItem Value="12.75">(UTC+12:45) Chatham Islands</asp:ListItem>
                                <asp:ListItem Value="13">(UTC+13:00) Tonga, Phoenix Islands</asp:ListItem>
                                <asp:ListItem Value="14">(UTC+14:00) Line Islands</asp:ListItem>
                            </asp:DropDownList></span>
                        </div>
                    </div>
                    <div class="sf-set set8">
					    <div class="sf-box select">
					        <label for="fld8"><span><asp:Literal ID="Literal5" runat ="server" Text="<%$ Resources: RegisterResource, DateFormatLabeltxt %>" /></span> </label><br />
                            <span class="fld-input"><asp:DropDownList ID="drdownDateFormat" runat="server" 
                                Height="22px" Width="145px">
                                <asp:ListItem Value="MM/dd/yyyy">MM/dd/yyyy
                                </asp:ListItem>
                                <asp:ListItem>dd/MM/yyyy</asp:ListItem>
                                <asp:ListItem>dd:MM:yyyy</asp:ListItem>
                            </asp:DropDownList></span>
                        </div>
                    </div>
                    <div class="sf-set set9">
					    <div class="sf-box select">
					    <label for="fld9"><span><asp:Literal ID="Literal6" runat ="server" Text="<%$ Resources: RegisterResource, TimeFormatLabeltxt %>" /></span> </label><br />
                            <span class="fld-input"><asp:DropDownList ID="drdownTimeFormat" runat="server" 
                                Height="22px" Width="145px">
                                <asp:ListItem>hh:mm:ss</asp:ListItem>
                                <asp:ListItem>hh:mm</asp:ListItem>
                                <asp:ListItem>hh/mm</asp:ListItem>
                            </asp:DropDownList></span>
                        </div>
                    </div>
                            <asp:CompareValidator ID="PasswordCompare" runat="server" 
                                ControlToCompare="Password" ControlToValidate="ConfirmPassword" 
                                Display="Dynamic" 
                                ErrorMessage="<%$ Resources: RegisterResource, ConfirmPasswordCompareErr %>" 
                                ValidationGroup="PunRegister"></asp:CompareValidator>

                            <asp:RegularExpressionValidator ID="EmailRegExp" runat="server" 
                                ControlToValidate="Email" Display="Dynamic" 
                                ErrorMessage="<%$ Resources: RegisterResource, EmailRegExpErrMsg %>" 
                                ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" 
                                ValidationGroup="PunRegister"></asp:RegularExpressionValidator>

                            <asp:Literal ID="ErrorMessage" runat="server" EnableViewState="False"></asp:Literal>
                </div>
            </ContentTemplate>
            <CustomNavigationTemplate >
                    <div class="frm-buttons">
                            <asp:Button ID="StepNextButton" runat="server" CommandName="MoveNext" 
                                Text="<%$ Resources: RegisterResource, CreateUserButtonText%>" ValidationGroup="PunRegister" />
                    </div>
            </CustomNavigationTemplate>
        </asp:CreateUserWizardStep>
<asp:CompleteWizardStep runat="server" AllowReturn="False" Title=""></asp:CompleteWizardStep>
    </WizardSteps>
</asp:CreateUserWizard>
</div>
</asp:Content>

